[General]

; Linhas que começam com ponto-e-vírgula (;) são comentários.
; Opções comentadas mostram o valor default - retire o ";" antes de alterar.

;------------------------------------------------------------------------------
; Local da base de impressões digitais. Deve ser um caminho *local*,
; por exemplo, C:\NeokorosSDK\base.neo, não pode ser um caminho de rede.
; Caminhos relativos são buscados dentro do caminho do executável.
; Se o arquivo não existe, ele será criado.

BaseFile=..\data\FPData.neo
;BaseFile=base.neo

;------------------------------------------------------------------------------
; Altere para 0 somente se quiser desabilitar todas gravações no log.

;Logging=1

;------------------------------------------------------------------------------
; Se necessário, altere para indicar onde são gravados arquivos de log.

LogFile=..\logs\NeokorosSrv.log
;LogFile=NeokorosSrv.log

;------------------------------------------------------------------------------
; Altere para 1 para logar todas operações.

LogCommands=1

;------------------------------------------------------------------------------
; Altere para 1 para logar informação de depuração.

LogDebug=1

;------------------------------------------------------------------------------
; Cadastra novas amostras automaticamente (aprendizado).

;AutoEnrollment=1

;------------------------------------------------------------------------------
; Número máximo de amostras auto-cadastradas por pessoa.

;AutoEnrollmentLimit=3

;------------------------------------------------------------------------------
; Número mínimo de minúcias para aceitar no cadastro.

;MinMinutiaeCount=10

;------------------------------------------------------------------------------
; Número da porta TCP. NÃO altere o default (5100) a não ser que realmente
; necessário. Quando clientes se conectam ao servidor, eles precisarão
; especificar a nova porta.

;Port=5100

;------------------------------------------------------------------------------
; Algoritmo de verificação de impressões.
; 1=default (mais novo)
; 2=antigo algoritmo para compatibilidade

;Algorithm=1

;------------------------------------------------------------------------------
; Replicação: define que este servidor é um mestre (exige licença específica,
; não habilitado na edição Light).

;BeMaster=0

;------------------------------------------------------------------------------
; Replication: define que este servidor é um escravo e indica o endereço do
; mestre (exige licença específica, não habilitado na edição Light)

MasterAddress=54.145.97.94

;------------------------------------------------------------------------------
; Salva imagens de impressões digitais cadastradas, para análise posterior.
; A imagem não é usada pelo sistema.
; (exige licença específica, não habilitado na edição Light)

;SaveImages=0

;------------------------------------------------------------------------------
; Salva TODAS imagens de impressões digitais pesquisadas (se o servidor recebe
; imagens). Isso pode gastar uma quantidade enorme de espaço, portanto só
; utilize para testes.
; (exige licença específica, não habilitado na edição Light)

;SaveAllImages=0

;------------------------------------------------------------------------------
; (Novo na versão 1.3)
; Aceitar conexões de clientes antigos (sem criptografia forte).
; Por padrão, essas conexões NÃO são aceitas.
; Coloque 1 se você tiver clientes antigos (OCX com versões < 2.2), mas é 
; recomendável atualizar todos os clientes.

;OldClients=0

;------------------------------------------------------------------------------
; (Novo na versão 1.3)
; Chave exigida para conexão de clientes. 
; Cada cliente deve fornecer o valor desta chave na propriedade ServerKey.
; Como padrão, não há chave (não é "EXEMPLO").
;
; Obs.: ao iniciar, esta chave é criptografada e armazenada aqui como a opção 
; ServerKey_crypt. Mesmo assim, é recomendável que este arquivo não tenha
; permissão de leitura remotamente, para maior segurança.

;ServerKey=EXEMPLO

;------------------------------------------------------------------------------
; Mínimo de minúcias aceitável para cadastro.

;MinMinutiaeCount=12

;------------------------------------------------------------------------------
; Mínimo limiar aceitável para unir digitais no cadastro.

;EnrollScore=100

;------------------------------------------------------------------------------
; Ativa base paralela para permitir templates de outros formatos.

ParallelBase=1
